Installation Instructions
*************************

Copyright (C) 1994, 1995, 1996, 1999, 2000, 2001, 2002, 2004, 2005, 
2006, 2007, 2008 Free Software Foundation, Inc.

This file is free documentation; the Free Software Foundation gives
unlimited permission to copy, distribute and modify it.

Basic Installation
==================

The proposed standard build and installation method will be using cmake; 
cmake is a cross-platform build system available from http://www.cmake.org.
CMake 2.6 is required.

Windows
-------

 * create a build directory from within the desired branch e.g. trunk
 * cd build
 * run cmake: cmake ..
 * some environmental variables that should be set:
   * OPENALDIR: points to location of the OpenAL directory
   * SDLDIR: points to the location of the SDL directory
   * FFMPEGDIR: points to the location of the FFMPEG directory
 * some environmental variables that can be set:
   * BOOST_ROOT: root location of boost

Linux
-----

 * create a build directory from within the desired branch e.g. trunk
 * cd build
 * run cmake: cmake ..

In most cases environmantal variables need not be set; pkgconfig is used to 
locate the appropriate directories.

Useful Command Line Options
---------------------------

If running cmake from the command line, some useful options to pass to are:

 * -G "NMake Makefiles": generates makefiles for nmake
 * -D CMAKE_INSTALL_PREFIX:STRING=c:\openlibraries 
 * -D CMAKE_BUILD_TYPE:STRING=Release 
 * -D WITH_PYTHON_EXTENSIONS:BOOL=FALSE
 * -D WITH_OPENFX_PLUGIN:BOOL [default is FALSE]
 * -D WITH_OPENML:BOOL [default is TRUE] 
 * -D WITH_OPENIL:BOOL [default is TRUE] 
 * -D WITH_OPENAL:BOOL [default is TRUE] 
 * -D WITH_OPENFXL:BOOL [default is FALSE] 
 * -D WITH_OPENOL:BOOL [default is TRUE] 
 * -D WITH_POOL:BOOL [default is TRUE]

To get a list of all possible generators, run cmake --help

